import dao from "./index";

export default dao.create({
  findParamParent: {
    url: "/rest/develop/parameterLibrary/byCondition",
    method: "POST"
  },
  createParamParent: {
    url: "/rest/develop/parameterLibrary/creating",
    method: "POST",
    notify: "参数分类创建"
  },
  editParamParent: {
    url: "/rest/develop/parameterLibrary/updating",
    method: "POST",
    notify: "参数分类编辑"
  },
  deleteParamParent: {
    url: "/rest/develop/parameterLibrary/deleting",
    notify: "参数分类删除"
  },
  findParam: {
    url: "/rest/develop/parameterLibraryParam/byPage",
    method: "POST"
  },
  createParam: {
    url: "/rest/develop/parameterLibraryParam/creating",
    method: "POST",
    notify: "参数创建"
  },
  editParam: {
    url: "/rest/develop/parameterLibraryParam/updating",
    method: "POST",
    notify: "参数编辑"
  },
  deleteParam: {
    url: "/rest/develop/parameterLibraryParam/deleting",
    notify: "参数删除"
  },
  findConstantParent: {
    url: "/rest/develop/constantLibrary/byCondition",
    method: "POST"
  },
  createConstantParent: {
    url: "/rest/develop/constantLibrary/creating",
    method: "POST",
    notify: "常量分类创建"
  },
  repeatConstantParent: {
    url: "/rest/develop/constantLibrary/byCondition",
    method: "POST"
  },
  editConstantParent: {
    url: "/rest/develop/constantLibrary/updating",
    method: "POST",
    notify: "常量分类编辑"
  },
  deleteConstantParent: {
    url: "/rest/develop/constantLibrary/deleting",
    notify: "常量分类删除"
  },
  findConstant: {
    url: "/rest/develop/constantLibraryParam/byPage",
    method: "POST"
  },
  createConstant: {
    url: "/rest/develop/constantLibraryParam/creating",
    method: "POST",
    notify: "常量创建"
  },
  repeatConstant: {
    url: "/rest/develop/constantLibraryParam/byCondition",
    method: "POST"
  },
  editConstant: {
    url: "/rest/develop/constantLibraryParam/updating",
    method: "POST",
    notify: "常量编辑"
  },
  deleteConstant: {
    url: "/rest/develop/constantLibraryParam/deleting",
    notify: "常量删除"
  },
  findActionParent: {
    url: "/rest/console/repomodulerestserver/byCondition",
    method: "POST"
  },
  createActionParent: {
    url: "/rest/console/repomodulerestserver/uploadJar",
    method: "POST",
    notify: "动作分类创建"
  },
  repeatActionParent: {
    url: "/rest/console/repomodulerestserver/byCondition",
    method: "POST"
  },
  editActionParent: {
    url: "/rest/console/repomodulerestserver/updating",
    method: "POST",
    notify: "动作分类编辑"
  },
  deleteActionParent: {
    url: "/rest/console/repomodulerestserver/deleteJar",
    notify: "动作分类删除"
  },
  findAction: {
    url: "/rest/console/repomoduleparmsrestserver/byPage",
    method: "POST"
  },
  createAction: {
    url: "/rest/console/repomodulerestserver/getActions",
    method: "POST",
    notify: "同步action"
  },
  online: {
    url: "/rest/console/repomodulerestserver/online",
    notify: "上线"
  },
  offline: {
    url: "/rest/console/repomodulerestserver/offline",
    notify: "下线"
  }
});
