import dao from "./index";

export default dao.create({
  findByPage: {
    url: "/rest/develop/ruleScript/byPage",
    method: "POST"
  },
  ruleRepeat: {
    url: "/rest/develop/ruleScript/byCondition",
    method: "POST"
  },
  create: {
    url: "/rest/develop/ruleScript/creating",
    method: "POST",
    notify: "规则创建"
  },
  edit: {
    url: "/rest/develop/ruleScript/updating",
    method: "POST",
    notify: "规则编辑"
  },
  delete: {
    url: "/rest/develop/ruleScript/deleting",
    notify: "规则删除"
  },
  releaseScript: {
    url: "/rest/develop/ruleScript/releaseScript",
    method: "POST",
    notify: "脚本保存"
  },
  publish: {
    url: "/rest/develop/ruleScript/buildAndRelease",
    notify: "发布"
  },
  getVariable: {
    url: "/rest/develop/parameterLibrary/parameterTree"
  },
  getConstant: {
    url: "/rest/develop/constantLibrary/constantTree"
  },
  getMethod: {
    url: "/rest/console/repomoduletyperestserver/actionTree"
  }
});
