import store from "./store";
import router from "./router";
import "./directive";
// 核心文件
import App from "./App";
import "./components";
import "@/plugin/utils";

import "@/assets/less/component.less";

// import VueDragResize from 'vue-drag-resize' //缩放、拖拽
// Vue.component('vue-drag-resize', VueDragResize);

Vue.use(ELEMENT, {
  size: "small"
});

// 关闭生产模式的提示
Vue.config.productionTip = false;

new Vue({
  el: "#app",
  store,
  router,
  render: h => h(App)
});
