import Vue from "vue";
import Router from "vue-router";
import * as URL from "@/config/url";

// 注册路由
Vue.use(Router);

// 配置路由
const router = new Router({
  routes: [
    {
      path: "*",
      name: "404",
      component: resolve => require(["@/views/404/index"], resolve)
    },
    {
      path: URL.ROOT,
      name: "应用开发",
      redirect: URL.APP
    },
    {
      path: URL.APP,
      name: "应用开发",
      component: resolve => require(["@/views/app/index"], resolve)
    }
  ]
});

export default router;
